Kerbal Space Program - Bug #11243

Multiple ModuleEnviroSensor's in a part cause last one to display "NO POWER!"
09/10/2016 03:09 AM - Fwiffo
Description

Steps to reproduce:

1) Edit any part and add muliple ModuleEnviroSensor modules, e.g:

MODULE
{
name = ModuleEnviroSensor
sensorType = TEMP
}
MODULE

{

name = ModuleEnviroSensor
sensorType = PRES
}

Since it's trivial to do this | didn't include a CFG file, but | can attach one if you need.
2) Launch a craft using the modified part
3) On the launch pad, right-click the part

4) You'll correctly see two "Toggle Display" buttons and "Display: " lines for the readings. However the last "Display: " line will say
"Display: NO POWER!"

| fully recognize this is not an issue with stock parts (which never include more than one of the modules). That's why | marked with
Priority "Very Low". However for us modders trying to do advanced things, it would be fabulous if you could fix this problem. I'm
hopeful it's an easy fix.

Also while you're at it, note the readout from the PRES sensor (barometer), unlike all its other counterparts, is missing units. It would
be great if you could add units to it, while you're at it.

Here's an image showing what | mean: http:/i.imgur.com/G8Cf18i.png

History

#1 - 09/10/2016 03:26 AM - Fwiffo

Units for the barometer could be "kPa" or "atm"

#2 - 09/14/2016 10:11 PM - Fwiffo

It's possible the issue may actually be caused by a mod. When | tried with a clean KSP install it didn't seem to happen. Will investigate further; sorry
if this is a false alarm.

The cosmetic request to include units on the barometer is still valid, though.
#3 - 09/15/2016 05:19 AM - Fwiffo

Ok, after some further troubleshooting it seems it was getting caused by a FlagDecal module that exists in the Editor but gets removed when you
launch your craft. This results in "Partmodule indexing mismatch" warnings in the log and causes KSP to attempt to remap the part modules to
restore sanity. Somehow that remapping was causing the very last ModuleEnviroSensor to do this screwed up "NO POWER!" thing in my part. |
guess the remapping works great until some of the part modules have the same name (which is the case for several mods e.g. IndicatorLights, and
also IIRC for at least one or two stock parts as well).

I am closing this issue, and will create a new enhancement for the cosmetic request.

EDIT: Actually, | don't have powers to close this issue. Feel free to do so and move the cosmetic thing to a new one. Maybe also open a new
request to enhance the partmodule mapper (i.e. examine properties other than "name" for "best fit", instead of just using name and relying on order)

#4 - 08/09/2019 03:32 PM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10

#5 - 08/09/2019 03:32 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#6 - 08/09/2019 03:56 PM - chris.fulton

- Status changed from Resolved to Closed
